### Class

# Cogl WinsysEGL

#### Description

    abstract class Cogl.WinsysEGL : Cogl.Winsys
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- CoglWinsys
- GObject

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from CoglWinsys (1)

###### Cogl.Winsys:name

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CoglWinsysEGLClass {
      CoglWinsysClass parent_class;
      gboolean (* context_created) (
        CoglWinsysEGL* winsys,
        CoglDisplay* display,
        GError** error
      );
      void (* cleanup_context) (
        CoglWinsysEGL* winsys,
        CoglDisplay* display
      );
      int (* add_config_attributes) (
        CoglWinsysEGL* winsys,
        CoglDisplay* display,
        EGLint* attributes
      );
      gboolean (* choose_config) (
        CoglWinsysEGL* winsys,
        CoglDisplay* display,
        EGLint* attributes,
        EGLConfig* out_config,
        GError** error
      );

    }

No description available.

###### Class members

`parent_class: CoglWinsysClass`

  No description available.

`context_created: gboolean (* context_created) ( CoglWinsysEGL* winsys, CoglDisplay* display, GError** error )`

  No description available.

`cleanup_context: void (* cleanup_context) ( CoglWinsysEGL* winsys, CoglDisplay* display )`

  No description available.

`add_config_attributes: int (* add_config_attributes) ( CoglWinsysEGL* winsys, CoglDisplay* display, EGLint* attributes )`

  No description available.

`choose_config: gboolean (* choose_config) ( CoglWinsysEGL* winsys, CoglDisplay* display, EGLint* attributes, EGLConfig* out_config, GError** error )`

  No description available.

#### Virtual methods

###### Cogl.WinsysEGLClass.add_config_attributes

No description available.

###### Cogl.WinsysEGLClass.choose_config

No description available.

###### Cogl.WinsysEGLClass.cleanup_context

No description available.

###### Cogl.WinsysEGLClass.context_created

No description available.